Skip to main content

Disaster Recovery

View as Markdown

Manage disaster recovery configurations and execute failover operations.

Failover Failover Group GA

POST /api/disaster-recovery/v1/{name=accounts/*/failover-groups/*}/failover

Initiate a failover to a new primary region.

API scopes: disaster-recovery

CloudsAWSAzure

Parameters

namestringpath

The fully qualified resource name of the failover group to failover. Format: accounts/{account_id}/failover-groups/{failover_group_id}.

Request body

target_primary_regionstring

The target primary region. Must be one of the participating regions and different from the current effective_primary_region. Serves as an idempotency check.

etagstring

Opaque version string for optimistic locking. If provided, must match the current etag. If omitted, the failover proceeds regardless of current state.

failover_typestring

The type of failover to perform.

Values: FAILOVER_TYPE_UNSPECIFIED, FORCED

Response

namestring

Fully qualified resource name in the format accounts/{account_id}/failover-groups/{failover_group_id}.

effective_primary_regionstring

Current effective primary region. Replication flows FROM workspaces in this region. Changes after a successful failover.

regionsarray of string

List of all regions participating in this failover group.

workspace_setsarray of object

Workspace sets, each containing workspaces that replicate to each other.

Show child attributesHide child attributes
namestring

Resource name for this workspace set.

Example: accounting

workspace_idsarray of string

Workspace IDs in this set. The system derives and validates regions. All workspaces must be in the Mission Critical tier.

replicate_workspace_assetsboolean

Whether to enable control plane DR (notebooks, jobs, clusters, etc.) for this set. Defaults to false.

stable_url_namesarray of string

Resource names of stable URLs associated with this workspace set. Format: accounts/{account_id}/stable-urls/{stable_url_id}. The referenced stable URLs must already exist (via CreateStableUrl).

unity_catalog_assetsobject

Unity Catalog replication configuration.

Show child attributesHide child attributes
location_mappingsarray of object

Location mappings - storage URI per region for each location.

Show child attributesHide child attributes
namestring

Resource name for this location.

Example: main-storage

uri_by_regionarray of object

URI for each region. Each entry maps a region name to a storage URI.

Show child attributesHide child attributes
regionstring

The region name.

Example: us-east-1

uristring

The storage URI for this region.

Example: s3://east/data

catalogsarray of object

UC catalogs to replicate.

Show child attributesHide child attributes
namestring

The name of the UC catalog to replicate.

data_replication_workspace_setstring

The workspace set whose workspaces will be used for data replication of all UC catalogs' underlying storage.

Example: accounting

statestring

Aggregate state of the failover group.

Values: STATE_UNSPECIFIED, CREATING, CREATION_FAILED, INITIAL_REPLICATION, ACTIVE, FAILING_OVER, DELETING, FAILOVER_FAILED, DELETION_FAILED

etagstring

Opaque version string for optimistic locking. Server-generated and returned in responses.

create_timestring

Time at which this failover group was created.

update_timestring

Time at which this failover group was last modified.

replication_pointstring

The latest point in time to which data has been replicated.

initial_primary_regionstring

Initial primary region. Used only in Create requests to set the starting primary region. Not returned in responses.